SYSTEMD.SNAPSHOT(5)

NAME
systemd.snapshot - Snapshot unit configuration

SYNOPSIS

snapshot.snapshot

DESCRIPTION

Snapshot units are not configured via unit configuration files. Nonetheless they are named similar to filenames. A unit whose name ends in ".snapshot" refers to a dynamic snapshot of the systemd runtime state.

Snapshots are not configured on disk but created dynamically via systemctl snapshot (see systemctl(8) for details) or an equivalent command. When created, they will automatically get dependencies on the currently activated units. They act as saved runtime state of the systemd manager. Later on, the user may choose to return to the saved state via systemctl isolate. They are useful to roll back to a defined state after temporarily starting/stopping services or similar.

SEE ALSO

systemd(1), systemctl(8), systemd.unit(5), systemd.directives(7)